# Generated by Django 3.2.1 on 2022-02-14 07:24

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Geolist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=128, unique=True)),
                ('slug', models.SlugField(blank=True, null=True, unique=True)),
                ('cover', models.URLField()),
                ('description', models.TextField(blank=True, null=True)),
                ('background', models.URLField(blank=True, null=True)),
            ],
            options={
                'ordering': ['title'],
            },
        ),
        migrations.CreateModel(
            name='GeolistItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=128)),
                ('latitude', models.FloatField()),
                ('longitude', models.FloatField()),
                ('elevation', models.FloatField(blank=True, null=True)),
                ('geolist', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='items', to='geolist.geolist')),
            ],
            options={
                'ordering': ['-latitude'],
            },
        ),
        migrations.CreateModel(
            name='History',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('progress', models.FloatField(default=0)),
                ('date_creation', models.DateTimeField(blank=True, null=True)),
                ('geolist', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='histories', to='geolist.geolist')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='histories', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['-date_creation'],
            },
        ),
        migrations.CreateModel(
            name='Visit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_creation', models.DateTimeField(blank=True, null=True)),
                ('date_visited', models.DateTimeField(blank=True, null=True)),
                ('history', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='visits', to='geolist.history')),
                ('item', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='visits', to='geolist.geolistitem')),
            ],
            options={
                'ordering': ['-date_creation'],
            },
        ),
    ]
